### Struct

# Gio IOSchedulerJob

deprecated: 2.36

#### Description

    struct GIOSchedulerJob {
      /* No available fields */
    }

Opaque class for defining and scheduling IO jobs.

Deprecated since: 2.36.

Use `GThreadPool` or `g_task_run_in_thread()`.

#### Instance methods

###### g_io_scheduler_job_send_to_mainloop

Used from an I/O job to send a callback to be run in the thread that the job was started from, waiting for the result (and thus blocking the I/O job).

deprecated: 2.36

###### g_io_scheduler_job_send_to_mainloop_async

Used from an I/O job to send a callback to be run asynchronously in the thread that the job was started from. The callback will be run when the main loop is available, but at that time the I/O job might have finished. The return value from the callback is ignored.

deprecated: 2.36